affy.subset <- function(x,probes=NULL,chips=NULL,genes=NULL){
  if(is.null(chips) & is.null(probes) & is.null(genes)) return(x)
  else{
    if(is.null(chips)) chips <- 1:x$nchips
    if(is.null(genes)){
      flag <- F ##to avoid intersect
      probe.names <- x$names
      genes <- 1:x$nprob
    }
    else{
      aux <- c()
      for(i in genes){
        aux <- c(aux,(1:x$nprob)[x$id==i])
      }        
      genes <- aux
      flag <- T
    }
    if(is.null(probes)) probes <- genes
    else{
      if(flag){
        probes <- intersect(genes,1:x$nprob)
      }
    }        
    ret <- list(pm=x$pm[probes,chips],mm=x$mm[probes,chips],id=x$id[probes],
           numbers=x$numbers[probes],
           names=x$names[unique(x$id[probes])],
           n=length(x$names[unique(x$id[probes])]),
           x=x$x[probes],y=x$y[probes],ncol=x$ncol,
           nrow=x$nrow,
           nchips=length(chips),nprob=length(probes),
           chip.names=x$chip.names[chips])
    class(ret) <- "plob"
    return(ret)
  }
}
