express <- function(x,method=c("avglogpm","li.wong","avdiff"),
                    normalize=T,
                    normalize.method=c("quantile","loess","contrasts"),
                    span=2/3,choose.subset=T,subset.size=5000,
                    verbose=T,maxit=1){
  if(!is.element(method,c("avglogpm","li.wong","avdiff")))
    stop(paste(method,"not a method!\n"))
  if(verbose) cat("Performing",normalize.method[1],"normalization.\n")
  if(normalize) x <- normalize(x,method=normalize.method,span=span,choose.subset=choose.subset,subset.size=subset.size,verbose=verbose,maxit=maxit)
  if(verbose) cat("Computing",method[1],"expression\n")
  if(method=="avglogpm"){
    bg <- apply(log2(x$mm),2,function(x){
      aux <- density(x,kernel="epanechnikov",n=2^16)
      2^aux$x[order(-aux$y)[1]]})
    aux <- sweep(x$pm,2,bg)
    #aux[aux<=0] <- min(aux[aux>0])/2
    #aux <- log2(aux)
    aux <- apply(aux,2,function(y) tapply(y,x$id,median))
    dimnames(aux) <- list(x$names,x$chip.names)
    return(aux)
  }
  if(method=="li.wong"){
    aux <- li.wong(x)$theta
    dimnames(aux) <- list(x$names,x$chip.names)
    return(aux)
  }
  if(method=="avdiff") return(avdiff(x))
}
