normalize <- function(x,method=c("quantile","loess","contrasts"),span=2/3,choose.subset=T,subset.size=5000,verbose=T,maxit=1){
  if(!is.element(method,c("quantile","robust.quantile","loess","contrasts")))
    stop(paste(method,"not a method!\n"))
  alldata <- rbind(x$pm,x$mm)
  index1 <- 1:x$nprob
  index2 <- (x$nprob+1):(2*x$nprob)

  if(method=="quantile") aux <- normalize.quantiles(alldata)
  if(method=="robust.quantile") aux <- normalize.quantiles.robust(alldata)
  ###robust.quantile is experimental, therefore no option is provided
  if(method=="loess"){
    if(choose.subset)
      subset1 <- maffy.subset(alldata,verbose=verbose,subset.size=subset.size)$subset
    else
      subset1 <- sample(1:dim(alldata)[1],subset.size)
    aux <-  loess.normalize(alldata,subset=subset1,maxit=maxit,verbose=verbose,span=span)
  }
  if(method=="contrasts"){
    if(choose.subset)
      subset1 <- maffy.subset(alldata,verbose=verbose,subset.size=subset.size)$subset
    else
      subset1 <- sample(1:dim(alldata)[1],subset.size)
  aux <-   maffy.normalise(alldata,subset=subset1,verbose=verbose,span=span)
  }
  x$pm <- aux[index1,]
  x$mm <- aux[index2,]
  x
}
