\name{affy.mva.pairs}
\alias{affy.mva.pairs}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{MVA Pairs}
\description{
  A matrix of M vs. A plots is produced from the columns of PMs and MMs
  in a \code{\link{probe.level.object}}. Plots are made on the upper
 triangle and the variance of the Ms are displayed in the lower triangle}
\usage{
affy.mva.pairs(x, chips=c(1:x$nchips), subset=NULL, labels=x$chip.names,
               span=2/3, family.loess="symmetric", digits=3, line.col=2,
               subset.size=2000, main="MVA plot", ...)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{x}{a  \code{\link{probe.level.object}}.}
  \item{chips}{numerical vector containing the subset of chips to plot.}
  \item{subset}{numerical vector containing the subset of probes to plot.}
  \item{labels}{the names of the variables.}
  \item{span}{ span to be used for loess fit.}
  \item{family.loess}{ "guassian" or "symmetric" as in \code{\link{loess}}.}
  \item{digits}{number of digits to use in the display of variance.}
  \item{line.col}{color of the loess line.}
  \item{subset.size}{size of the \code{subset}.}
  \item{main}{title for plot.}
  \item{\dots}{graphical parameters can be given as arguments to
    \code{affy.mva.plot}.}
}
\author{Rafael A. Irizarry}
\seealso{\code{\link{mva.pairs}}}
\examples{
    ##example with only two chips
    data(plob.example)
    affy.mva.pairs(plob.example)

    ##simulated example with 4 chips
    x <- 2^sweep(matrix(rnorm(8000,0,.1),2000,4),1,rnorm(2000,5),"+")
    x[,1] <- x[,1] + sqrt(x[,1])
    x[,3] <- x[,3]+(x[,3])^.33
    ##make fake probe level object
    y <- list(pm=x[1:1000,],mm=x[1001:2000,]+1,nprob=1000,nchips=4,
              chip.names=c("chip 1","chip 2","chip 3","chip 4"))
    affy.mva.pairs(y)
}
\keyword{hplot}