\name{affy.subset}
\alias{affy.subset}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Affy Object Subset}
\description{Function for returning subsets of probe level data objects.}

\usage{
affy.subset(x, probes=NULL, chips=NULL, genes=NULL)
}
\arguments{
  \item{x}{a \code{\link{probe.level.object}}.}
  \item{probes}{a numeric vector containing the probe row numbers to return.}
  \item{chips}{a numeric vector containing the chip column numbers to
    return.}
  \item{genes}{a numeric vector containing the IDs of the probe sets to return.}
}
\details{ \code{\link{probe.level.object}}s are usually very
  big. Running functions can take a 
  long time. This function can be used to return manageable subsets. It
  can also be used to return permutations of objects for
  boostrap/resampling procedures.}
\value{a \code{\link{probe.level.object}}}
\examples{
  data(plob.example)
  ##to create Data that contains only genes with ID 1 and 2
  Data <- affy.subset(plob.example,genes=c(1,2))
}

\author{Rafael A. Irizarry}

\keyword{manip}



