\name{avdiff}
\alias{avdiff}
\title{Avgerage Difference}
\description{For a \code{\link{probe.level.object}}, computes GeneChip's
    average difference measure for each probe set. }
\usage{
avdiff(x, verbose=T)}
\arguments{
  \item{x}{a \code{\link{probe.level.object}}.}
  \item{verbose}{logical value. If \code{TRUE} messages with updates are displayed.}
}
\details{GeneChip's avdiff is not exactly an average difference. The
standard deviation of the PM-MM is computed (after removing the biggest
and smallest). Any PM-MM that deviates from the mean by more than 3
standard deviations is discarded and then the average is computed.

The background subtraction performed by GeneChip is not currently implemented}
}
\value{
  A matrix with the average difference of probe set i, in chip j in the
  i,j entry.}
\references{ Affymetrix (1999) Gene Chip Analysis Suite User Guide
  (Affymetrix, Santa Clara)}
\author{Rafael A. Irizarry}
\seealso{ \code{\link{express}}}
\keyword{manip}