\name{probe.profile}
\alias{probe.profile}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Plot Probe Profiles}
\description{
Plot the PM and MM values for the different probes of a probe set in all chips.
}
\usage{
probe.profile(x, probe.set.id, chips=1:x$nchips, by.chip=T,
              pm.col="green", mm.col="red", global.ylim=T,...)
}
\arguments{
  \item{x}{A \code{\link{probe.level.object}}}
  \item{probe.set.id}{a number giving the id of the probe set.}
  \item{chips}{the chips to be displayed.}
  \item{by.chip}{logical. If `TRUE' the PM and MM are shown for each
    chip. If \code{FALSE} the probe values across chips are shown on a
    separate plot for each probe pair in the probe set.}
  \item{pm.col}{color for the PMs}
  \item{mm.col}{color for the MMs}
  \item{global.ylim}{if a value is given \code{global.ylim} is used as
    the ylim of all figures.}
  \item{...}{graphical parameters can be given as arguments to plot.} 
}
\seealso{\code{\link{plot.pps}}}
\examples{
    data(plob.example)
    par(mfrow=c(2,1))
    probe.profile(plob.example,2)
    par(mfrow=c(5,4))
    probe.profile(plob.example,2,by.chip=F)
}
\author{Rafael A. Irizarry}
\keyword{hplot}




